Subject: [Sip] INFO call flow

From: Varsha Kulkarni <[email-masked]>
Date: Tue, 21 Nov 2006 11:32:44 +0530

Hello,

Please explain the call flow given in 3.3.1 of Internet Draft by Steve
Donovan draft-ietf-sip-info-method-00.txt MCI Worldcom October 1999.

Thank you.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Bhattacharyya, Dipankar" <[email-masked]>
Date: Tue, 21 Nov 2006 13:10:03 -0500

Hi Varsha,
   The Call Flow in section 3.3.1 of the draft is a standard call
between two PSTN subscribers wherein there is IP transport between the
two GWs servicing the two PSTN Subscribers. So like a normal PSTN to SIP
Call here is the step1 of the call below where both  side are connected
:

Orig PSTN    Ingress GW   SIP Server   Egress GW    Dest PSTN
                        GW1          SPS          GW2
             ------------>------------>------------>------------>
             IAM          Invite       Invite       IAM

             <-----------<------------<------------<------------
             ACM          180 Ringing  180 Ringing  ACM

             <-----------<------------<------------<------------
             ANM          200 OK       200 OK       ANM

                          ------------>------------>
                          ACK          ACK
After the above A to B is connection is setup then Receiving side PSTN
subscriber sends a ISUP Message called USR ( User-to-User-Information
only relevant to ITU-TS not ANSI SS7 ). This USR information may be
expiration of the Called and calling party's credit in case they are
prepaid subscribers or the USR message may be update of account balance
as well. The ISUP USR Message is carried over the IP n/w as a SIP INFO
Message with ISUP Message body to the originating side.  

<-----------<------------<------------<------------
             USR          INFO         INFO         USR
                          ISUP MIME    ISUP MIME
                          USR          USR

                          ------------>------------>
                          200 OK       200 OK

             ------------>------------>------------>------------>
             USR          INFO         INFO         USR
                          ISUP MIME    ISUP MIME
                          USR          USR

                         <------------<------------
                          200 OK       200 OK
Also I guess you are probably aware that the draft is now a RFC 2976 and
also I would suggest that also go thru RFC 3398 for more use cases of
ISUP to SIP Mapping. 
 
Dipankar Bhattacharyya 
Systems Engineer 
EMPIRIX 
p: 972.491.0555 f: 972.491.0553
m: 214.766.1479
email: [email-masked]
7200 Preston Rd., # 921  - Plano, TX 75024
http://www.empirix.com 

-----Original Message-----
From: Varsha Kulkarni [mailto:[email-masked]] 
Sent: Tuesday, November 21, 2006 12:03 AM
To: [email-masked]
Subject: [Sip] INFO call flow

Hello,

Thank you.